require( "scripts/style.lua" );




MakeDialog
{
	ComicPanel
	{
		x=0,y=0,w=800,h=600,
		Bitmap
		{
			name="comicpanel",
			image="comics/comic3_1",
			x=0,y=0,w=800,h=600,

			Text
			{
				font = ComicSmallFont,
				label="comic_4_1",
				x=30, y=15,
				w=273, h=52,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_4_2",
				x=488, y=19,
				w=126, h=42,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_4_3",
				x=652, y=46,
				w=130, h=59,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_4_4",
				x=198, y=284,
				w=175, h=64,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_4_5",
				x=612, y=279,
				w=147, h=63,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_4_6",
				x=643, y=357,
				w=132, h=52,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},

			Button
			{
				x=745,
				y=530,
				graphics = ComicRightButtonGraphics,
				name="right",
				type = kPush,
				command=
					function()
						SetTopModalOnly(false);
						if (ShowBonusUnlockedDialog()) then
							DisplayDialog { 
								"scripts/ok.lua", 
								body ="bonusunlocked",
								title = ""
							};
						end
						SwapToModalSetName("scripts/chooserestaurant.lua");
						FlashRestaurant();
					end
			},
				
		},
	},
}

SetTopModalOnly(true);